/*
* Single Window Application Template:
* A basic starting point for your application.  Mostly a blank canvas.
*
* In app.js, we generally take care of a few things:
* - Bootstrap the application with any data we need
* - Check for dependencies like device type, platform version or network connection
* - Require and open our top-level UI component
*
*/

//bootstrap and check dependencies
if (Ti.version < 1.8) {
    alert('Sorry - this application template requires Titanium Mobile SDK 1.8 or later');
}

// This is a single context application with multiple windows in a stack
(function() {
    //render appropriate components based on the platform and form factor
    var osname = Ti.Platform.osname,
        version = Ti.Platform.version,
        height = Ti.Platform.displayCaps.platformHeight,
        width = Ti.Platform.displayCaps.platformWidth;

    //considering tablets to have width over 720px and height over 600px - you can define your own
    function checkTablet() {
        var platform = Ti.Platform.osname;

        switch (platform) {
            case 'ipad':
                return true;
            case 'android':
                var psc = Ti.Platform.Android.physicalSizeCategory;
                var tiAndroid = Ti.Platform.Android;
                return psc === tiAndroid.PHYSICAL_SIZE_CATEGORY_LARGE || psc === tiAndroid.PHYSICAL_SIZE_CATEGORY_XLARGE;
            default:
                return Math.min(Ti.Platform.displayCaps.platformHeight, Ti.Platform.displayCaps.platformWidth) >= 400;
        }
    }

    var isTablet = checkTablet();
    console.log(isTablet);

    var Window;
    if (isTablet) {
        Window = require('ui/tablet/ApplicationWindow');
    } else {
        // Android uses platform-specific properties to create windows.
        // All other platforms follow a similar UI pattern.
        if (osname === 'android') {
            Window = require('ui/handheld/android/ApplicationWindow');
        } else {
            Window = require('ui/handheld/ApplicationWindow');
        }
    }
    var win = new Window();
    var string = 'Massive Large Words';
    var headerLabel1 = Ti.UI.createLabel({
        text : string,
        textAlign : 'left',
        font : {
            fontSize : '36dp'
        },
        color : 'black',
        wordWrap : false,
        ellipsize : false,
        minimumFontSize : '28dp',
        top : 50,
        left : 80,
        height : '50dp',
        borderWidth : 2,
        borderColor : 'black',
        //horizontalWrap: true,
        //includeFontPadding: true,
        width : '180dp',
        //maxLines : 1,
        visible : true,
        zIndex : 50,
    });
    win.add(headerLabel1);
    var headerLabel2 = Ti.UI.createLabel({
        text : string,
        textAlign : 'left',
        font : {
            fontSize : '36dp'
        },
        color : 'black',
        wordWrap : false,
        ellipsize : false,
        minimumFontSize : '24dp',
        top : 150,
        left : 80,
        height : '50dp',
        borderWidth : 2,
        borderColor : 'black',
        //horizontalWrap: true,
        //includeFontPadding: true,
        width : '180dp',
        //maxLines : 1,
        visible : true,
        zIndex : 50,
    });
    win.add(headerLabel2);

    var headerLabel3 = Ti.UI.createLabel({
        text : string,
        textAlign : 'left',
        font : {
            fontSize : '36dp'
        },
        color : 'black',
        wordWrap : false,
        ellipsize : false,
        minimumFontSize : '22dp',
        top : 250,
        left : 80,
        height : '50dp',
        borderWidth : 2,
        borderColor : 'black',
        //horizontalWrap: true,
        //includeFontPadding: true,
        width : '180dp',
        //maxLines : 1,
        visible : true,
        zIndex : 50,
    });
    win.add(headerLabel3);
    var headerLabel4 = Ti.UI.createLabel({
        text : string,
        textAlign : 'left',
        font : {
            fontSize : '36dp'
        },
        color : 'black',
        wordWrap : false,
        ellipsize : false,
        minimumFontSize : '20dp',
        top : 350,
        left : 80,
        height : '50dp',
        borderWidth : 2,
        borderColor : 'black',
        //horizontalWrap: true,
        //includeFontPadding: true,
        width : '180dp',
        //maxLines : 1,
        visible : true,
        zIndex : 50,
    });
    win.add(headerLabel4);
    var headerLabel5 = Ti.UI.createLabel({
        text : string,
        textAlign : 'left',
        font : {
            fontSize : '36dp'
        },
        color : 'black',
        wordWrap : false,
        ellipsize : false,
        minimumFontSize : '18dp',
        top : 450,
        left : 80,
        height : '50dp',
        borderWidth : 2,
        borderColor : 'black',
        //horizontalWrap: true,
        //includeFontPadding: true,
        width : '180dp',
        //maxLines : 1,
        visible : true,
        zIndex : 50,
    });
    win.add(headerLabel5);
    var headerLabel6 = Ti.UI.createLabel({
        text : string,
        textAlign : 'left',
        font : {
            fontSize : '36dp'
        },
        color : 'black',
        wordWrap : false,
        ellipsize : false,
        minimumFontSize : '16dp',
        top : 550,
        left : 80,
        height : '50dp',
        borderWidth : 2,
        borderColor : 'black',
        //horizontalWrap: true,
        //includeFontPadding: true,
        width : '180dp',
        //maxLines : 1,
        visible : true,
        zIndex : 50,
    });
    win.add(headerLabel6);
    win.open();
})();
